/// <reference types="react" />
import * as React from 'react';
import { ViewStyle, TextStyle } from 'react-native';
export interface InputState {
    value: number | null;
    nextDigitIndex: number;
}
export interface Props {
    style?: ViewStyle;
    titleTextStyle?: TextStyle;
    numberTextStyle?: TextStyle;
    inactiveNumberTextStyle?: TextStyle;
    unitTextStyle?: TextStyle;
    clearButtonStyle: ViewStyle;
    inactiveClearButtonStyle: ViewStyle;
    clearTextStyle?: TextStyle;
    inactiveClearTextStyle?: TextStyle;
    digitsButtonStyle?: ViewStyle;
    inactiveDigitsButtonStyle?: ViewStyle;
    digitsTextStyle?: TextStyle;
    inactiveDigitsTextStyle?: TextStyle;
    title?: string;
    unitString?: string;
    clearString?: string;
    inputState?: InputState;
    onValueChange?: (value: number, nextDigitIndex?: number) => void;
    onClear?: () => void;
    numberOfIntegerDigits: number;
    numberOfDecimalDigits?: number;
}
export declare type State = InputState;
export default class NumberInput extends React.Component<Props, State> {
    static defaultProps: Partial<Props>;
    state: {
        value: null;
        nextDigitIndex: number;
    };
    private getInputState;
    private onDigitPress;
    private onClear;
    render(): JSX.Element;
}
